Attach ->                                             AT Attach ->
Arg Drive : String                                    Arg Report : &Integer, Drive : String

Time, Report, Break = 0 ..                            A = Drive ..

& AT >Report< Drive                                   A = A ':' [ A._ = 1 ]

Do Wait 'Time Break' Report                           - FS FS_INFO A '.'; Report = 1
While !Break
                                                      /
/

/* * */

Wait Attach ->
Arg Time : ^&WaitState, Report : Integer

Time += Delay
' - Kern K_SLEEP_MS Delay
' Delay = ( 1 / 50 ) * 1000

If !Report then
 - WaitDialog Time
Else
 - WaitDialog DLG_HIDE; Break = 1
;

/

/* * */

WaitState >>
 Time : Integer
 Break : Integer : 1 | 0
;





